> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a PIX invoice



## OpenAPI

````yaml /openapi.json post /api/invoices/pix
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/invoices/pix:
    post:
      tags:
        - Invoices
      summary: Create a PIX invoice
      operationId: postApiInvoicesPix
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - planId
              properties:
                planId:
                  minLength: 1
                  type: string
                interval:
                  type: string
                  enum:
                    - month
                    - quarter
                    - semiannual
                    - year
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - planId
              properties:
                planId:
                  minLength: 1
                  type: string
                interval:
                  type: string
                  enum:
                    - month
                    - quarter
                    - semiannual
                    - year
          multipart/form-data:
            schema:
              type: object
              required:
                - planId
              properties:
                planId:
                  minLength: 1
                  type: string
                interval:
                  type: string
                  enum:
                    - month
                    - quarter
                    - semiannual
                    - year
      responses:
        default:
          description: Response
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key
    cookieAuth:
      type: apiKey
      in: cookie
      name: better-auth.session_token

````